# Generated by Django 4.2.8 on 2024-01-02 11:33

import constrainedfilefield.fields.file
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_countries.fields
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Department',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title_ar', models.CharField(max_length=512, verbose_name='Title (AR)')),
                ('title_en', models.CharField(max_length=512, verbose_name='Title (EN)')),
            ],
        ),
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name_ar', models.CharField(max_length=256, verbose_name='Name (AR)')),
                ('name_en', models.CharField(max_length=256, verbose_name='Name (EN)')),
                ('type', models.CharField(choices=[('RESTAURANTS', 'Restaurants'), ('HOTELS', 'Hotels'), ('MISC', 'Miscellaneous')], max_length=128, verbose_name='Type')),
                ('city', models.CharField(help_text='Which city is this organization located in?', max_length=128, verbose_name='City')),
                ('commercial_registration_no', models.CharField(max_length=256, unique=True, verbose_name='Commercial Registration Number')),
                ('commercial_licence', constrainedfilefield.fields.file.ConstrainedFileField(content_types=['application/pdf', 'image/png', 'image/bmp', 'image/jpg', 'image/jpeg', 'image/gif'], max_upload_size=2048000, mime_lookup_length=4096, null=True, upload_to='licences', verbose_name='Commercial Licence')),
                ('commercial_licence_end_date', models.DateField(null=True, verbose_name='Commercial Licence End Date')),
                ('logo', constrainedfilefield.fields.file.ConstrainedFileField(content_types=['image/png', 'image/bmp', 'image/jpg', 'image/jpeg', 'image/gif'], max_upload_size=512000, mime_lookup_length=4096, null=True, upload_to='logos', verbose_name='Logo')),
                ('address', models.TextField(blank=True, verbose_name='Address')),
                ('address_on_map', models.TextField(blank=True, verbose_name='Address on Map')),
                ('website', models.URLField(blank=True, verbose_name='Website')),
            ],
        ),
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name_ar', models.CharField(blank=True, max_length=256, verbose_name='First Name (AR)')),
                ('first_name_en', models.CharField(max_length=256, verbose_name='First Name (EN)')),
                ('last_name_ar', models.CharField(blank=True, max_length=256, verbose_name='Last Name (AR)')),
                ('last_name_en', models.CharField(max_length=256, verbose_name='Last Name (EN)')),
                ('job_title', models.CharField(choices=[('CEO', 'CEO'), ('OWNER', 'Owner'), ('MANAGER', 'Manager'), ('DEPARTMENT_HEAD', 'Department Head'), ('SUPERVISOR', 'Supervisor'), ('SECRETARY', 'Secretary'), ('COOK', 'Cook'), ('WORKER', 'Worker'), ('OTHER', 'Other')], max_length=128, verbose_name='Job Title')),
                ('personal_picture', constrainedfilefield.fields.file.ConstrainedFileField(content_types=['image/png', 'image/bmp', 'image/jpg', 'image/jpeg', 'image/gif'], max_upload_size=512000, mime_lookup_length=4096, null=True, upload_to='employees', verbose_name='Personal Picture')),
                ('nationality', django_countries.fields.CountryField(max_length=2, verbose_name='Nationality')),
                ('mobile', phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, region=None, verbose_name='Mobile')),
                ('department', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='employees', to='clients.department', verbose_name='Department')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL, verbose_name='Associated User')),
            ],
        ),
        migrations.AddField(
            model_name='department',
            name='organization',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='departments', to='clients.organization', verbose_name='Organization'),
        ),
    ]
